lang/japhar - The NetBSD Packages Collection

Java Virtual Machine, currently JDK 1.1.5-level

Japhar is the Hungry Programmers' Java VM.  It has been built from the
ground up without consulting Sun's sources.  It is currently at JDK
1.1.5-level.

Japhar is released under the LGPL, which should make it much more
attractive for companies interested in embedding an open source JVM in
their proprietary/commercial products.  For example, the LGPL is
compatible with Netscape's NPL license, and allows Japhar to be
included into Mozilla.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

devel/readline devel/libffi devel/readline devel/libffi

Available binary packages

alpha:japhar-0.08nb9.tgz(NetBSD 9.0)
alpha:japhar-0.08nb9.tgz(NetBSD 9.0)
i386:japhar-0.08nb9.tgz(NetBSD 8.0)
i386:japhar-0.08nb9.tgz(NetBSD 8.0)
i386:japhar-0.08nb9.tgz(NetBSD 8.0)
i386:japhar-0.08nb9.tgz(NetBSD 9.0)
i386:japhar-0.08nb9.tgz(NetBSD 9.0)
i386:japhar-0.08nb9.tgz(NetBSD 9.0)
powerpc:japhar-0.08nb9.tgz(NetBSD 8.0)
powerpc:japhar-0.08nb9.tgz(NetBSD 8.0)
powerpc:japhar-0.08nb9.tgz(NetBSD 8.0)
powerpc:japhar-0.08nb9.tgz(NetBSD 9.0)
powerpc:japhar-0.08nb9.tgz(NetBSD 9.0)
sparc:japhar-0.08nb9.tgz(NetBSD 9.0)
x86_64:japhar-0.08nb9.tgz(NetBSD 9.0)
x86_64:japhar-0.08nb9.tgz(NetBSD 9.0)
x86_64:japhar-0.08nb9.tgz(NetBSD 9.0)
x86_64:japhar-0.08nb9.tgz(NetBSD 9.0)
x86_64:japhar-0.08nb9.tgz(NetBSD 8.0)
x86_64:japhar-0.08nb9.tgz(NetBSD 8.0)
x86_64:japhar-0.08nb9.tgz(NetBSD 8.0)
x86_64:japhar-0.08nb9.tgz(NetBSD 9.0)
x86_64:japhar-0.08nb9.tgz(NetBSD 9.0)
x86_64:japhar-0.08nb9.tgz(NetBSD 9.0)
x86_64:japhar-0.08nb9.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]